Package org.silverpeas.components.whitepages.control

## Class WhitePagesContentManager

- java.lang.Object
- - org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
  - - org.silverpeas.components.whitepages.control.WhitePagesContentManager

- All Implemented Interfaces:
    `org.silverpeas.core.contribution.contentcontainer.content.SilverpeasContentManager`

      @Service
      public class WhitePagesContentManager
      extends org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

  The whitePages implementation of SilverpeasContentManager.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

      `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager.ContributionWrapper`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `WhitePagesContentManager()` | Hidden constructor as this implementation must be GET by CDI mechanism.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected int` | `createSilverContent​(Connection con, Card card)` | add a new content.
    `protected void` | `deleteSilverContent​(Connection con, org.silverpeas.core.persistence.jdbc.bean.IdPK pk)` | delete a content.
    `protected List<org.silverpeas.core.contribution.model.Contribution>` | `getAccessibleContributions​(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)` |
    `protected String` | `getContentIconFileName​(String componentInstanceId)` |
    `protected Optional<org.silverpeas.core.contribution.model.Contribution>` | `getContribution​(String resourceId, String componentInstanceId)` |
    `protected void` | `updateSilverContentVisibility​(Card card)` | update the visibility attributes of the content.

    - ### Methods inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

      `computeSilverContentVisibility, createSilverContent, createSilverContent, createSilverContent, createSilverContent, deleteSilverContent, deleteSilverContent, deleteSilverContent, getContentManager, getOrCreateSilverContentId, getOrCreateSilverContentId, getSilverContentByReference, getSilverContentId, getSilverContentId, updateSilverContentVisibility, updateSilverContentVisibility`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WhitePagesContentManager

          protected WhitePagesContentManager()

      Hidden constructor as this implementation must be GET by CDI mechanism.

  - ### Method Detail

    - #### getContentIconFileName

          protected String getContentIconFileName​(String componentInstanceId)

      Specified by:
        `getContentIconFileName` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### getContribution

          protected Optional<org.silverpeas.core.contribution.model.Contribution> getContribution​(String resourceId,
                                                                                                  String componentInstanceId)

      Specified by:
        `getContribution` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### getAccessibleContributions

          protected List<org.silverpeas.core.contribution.model.Contribution> getAccessibleContributions​(List<org.silverpeas.core.ResourceReference> resourceReferences,
                                                                                                         String currentUserId)

      Specified by:
        `getAccessibleContributions` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

    - #### createSilverContent

          protected int createSilverContent​(Connection con,
                                            Card card)
                                     throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException

      add a new content. It is registered to contentManager service
      Parameters:
        `con` - a Connection
        `card` - the user card
      Returns:
        the unique silverObjectId which identified the new content
      Throws:
        `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException`

    - #### updateSilverContentVisibility

          protected void updateSilverContentVisibility​(Card card)
                                                throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException

      update the visibility attributes of the content. Here, the type of content is a PublicationDetail
      Parameters:
        `card` - the user card
      Throws:
        `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException`

    - #### deleteSilverContent

          protected void deleteSilverContent​(Connection con,
                                             org.silverpeas.core.persistence.jdbc.bean.IdPK pk)
                                      throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException

      delete a content. It is registered to contentManager service
      Parameters:
        `con` - a Connection
        `pk` - the expert identifier to unregister
      Throws:
        `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException`